
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__80F98613_7254_4E95_86E1_0DD7648A3052__INCLUDED_)
#define AFX_STDAFX_H__80F98613_7254_4E95_86E1_0DD7648A3052__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// WINVER XP
#define WINVER 0x0501	// 0x0502 (Windows Server 2003)
						// 0x0501 (Windows XP and Windows .NET Server)

#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers

#define _AFX_SECURE_NO_WARNINGS
#pragma warning(disable : 4996)



#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxdtctl.h>		// MFC support for Internet Explorer 4 Common Controls
#include <htmlhelp.h>		// HTML Help api - add Htmlhelp.lib to 
							//  settings-link-object library modules - or
							//  project-properties-linker-input-additional dependencies
#include <afxmt.h>			// Threads

#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

// Unicode
// For both Release & debug:
//  Add _UNICODE to Project Settings - C++ - General - Preproccessor Defs 
//  Set - Project Settings - Link tab - Output - Entry Point Symbol to wWinMainCRTStartup
// See: MSDN Unicode Programming Summary
//
// Unicode breaks curl
//test fix curl unicode - no change
//#define _UNICODE //warning C4005: '_UNICODE' : macro redefinition

// Need for: error LNK2001: unresolved external symbol _IID_ILAVAudioSettings
#include <initguid.h>		// LAV Filter DEFINE_GUID

// Need for errors in Curlinet.h:
#define STRSAFE_NO_DEPRECATE

// Ignore 4089 warnings
//#pragma comment(linker, "/IGNORE:4089") out 

// For Player - VC6
#pragma comment(lib,"Strmbasd.lib")	// 
#pragma comment(lib,"Strmiids.lib") // options: vc98 libs before sdk - see VC6_Settings.txt
#pragma comment(lib,"Quartz.lib")	// AMGetErrorText()
//strmif.h _IID_IDvdInfo2

// User messages
//#define WM_USER_CHILD_CTRL			WM_USER + 100
#define WM_USER_SET_ACTIVATE			WM_USER + 100
#define WM_USER_VIDEOEVENT			WM_USER + 101

#define WM_USER_VID_WND_DESTROYED	WM_USER + 102 // Msg to MainFrame
#define WM_USER_VID_ERROR			WM_USER + 103
#define WM_USER_VID_START			WM_USER + 104
#define WM_USER_VID_STOP				WM_USER + 105
#define WM_USER_VID_PAUSE			WM_USER + 106
#define WM_USER_VID_TIME				WM_USER + 107
#define WM_USER_VID_TIME_KEYBOARD	WM_USER + 108	// 7/22
#define WM_USER_VID_VOL				WM_USER + 109
#define WM_USER_VID_MUTE				WM_USER + 110
#define WM_USER_DVD_START			WM_USER + 111
#define WM_USER_CD_START				WM_USER + 112

#define WM_USER_BAR_START			WM_USER + 120	// Msg to Bar
#define WM_USER_BAR_STOP				WM_USER + 121
#define WM_USER_BAR_PAUSE			WM_USER + 122
#define WM_USER_BAR_TIME				WM_USER + 123
#define WM_USER_BAR_VOL				WM_USER + 124
#define WM_USER_BAR_MUTE				WM_USER + 125

#define WM_USER_HIDE_LEFT_PANE		WM_USER + 130

#define WM_USER_SIZE_COLUMNS			WM_USER + 131	// test fix ClistView collumn sizing
#define WM_USER_TOPIC_LIST_CHANGE	WM_USER + 132	// msg from CTopicListBox
#define WM_USER_DVD_NAV_UPDATE		WM_USER + 133	// info DvdNavDlg from CPlayer


// RadioBrowser update thread.
#define WM_USER_THREAD_STATUS_STRING		WM_USER + 140	// string for update dlg
#define WM_USER_THREAD_PROGRESS_POS		WM_USER + 141	// for dlg - pos progress ctrl
#define WM_USER_THREAD_PROGRESS_MAX		WM_USER + 142	// for dlg - max progress ctrl
#define WM_USER_THREAD_ABORTED			WM_USER + 143	// thread failed or canceled by user
#define WM_USER_THREAD_FINISHED			WM_USER + 144	// thread completed
#define WM_USER_THREAD_DONE				WM_USER + 145	// for dlg - update done




//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.



#endif // !defined(AFX_STDAFX_H__80F98613_7254_4E95_86E1_0DD7648A3052__INCLUDED_)
